%define upstream_name    DBIx-Class-DeploymentHandler
%define upstream_version 0.002233

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extensible DBIx::Class deployment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.350.0
BuildRequires: perl(DBIx::Class) >= 0.81.210
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Contextual) >= 0.5.5
BuildRequires: perl(Module::Runtime) >= 0.1.0
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.180.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(SQL::SplitStatement) >= 1.0.200
BuildRequires: perl(SQL::Translator) >= 0.110.50
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Brew) >= 0.20.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML) >= 0.660.0
BuildRequires: perl(aliased)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%description
'DBIx::Class::DeploymentHandler' is, as its name suggests, a tool for
deploying and upgrading databases with DBIx::Class. It is
designed to be much more flexible than DBIx::Class::Schema::Versioned,
hence the use of Moose and lots of roles.

'DBIx::Class::DeploymentHandler' itself is just a recommended set of roles
that we think will not only work well for everyone, but will also yield the
best overall mileage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.2.233-3.mga9
+ Revision: 1819562
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.2.233-2.mga8
+ Revision: 1534010
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 tv <tv> 0.2.233-1.mga8
+ Revision: 1446655
- update to 0.002233

* Sat Jun 29 2019 shlomif <shlomif> 0.2.232-1.mga8
+ Revision: 1415498
- update to 0.002232

* Sun Mar 17 2019 tv <tv> 0.2.230-1.mga7
+ Revision: 1378483
- update to 0.002230

* Thu Sep 20 2018 umeabot <umeabot> 0.2.222-2.mga7
+ Revision: 1282600
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 shlomif <shlomif> 0.2.222-1.mga7
+ Revision: 1191649
- update to 0.002222

* Mon Oct 02 2017 tv <tv> 0.2.221-2.mga7
+ Revision: 1163933
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.2.221-1.mga7
+ Revision: 1160994
- update to 0.002221

* Mon Sep 25 2017 tv <tv> 0.2.220-1.mga7
+ Revision: 1159619
- update to 0.002220

* Fri Aug 18 2017 sander85 <sander85> 0.2.219-1.mga7
+ Revision: 1141521
- update to 0.002219

* Sun Jun 19 2016 pterjan <pterjan> 0.2.218-2.mga6
+ Revision: 1025457
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.2.218-1.mga6
+ Revision: 1007478
- update to 0.002218

* Sat Feb 20 2016 umeabot <umeabot> 0.2.217-2.mga6
+ Revision: 971314
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.2.217-1.mga6
+ Revision: 891313
- update to 0.002217

* Sun Jul 05 2015 sander85 <sander85> 0.2.216-1.mga6
+ Revision: 851294
- update to 0.002216

* Wed Oct 15 2014 umeabot <umeabot> 0.2.211-3.mga5
+ Revision: 744288
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.2.211-1.mga5
+ Revision: 624194
- update to 0.002211

* Mon Feb 10 2014 jquelin <jquelin> 0.2.210-1.mga5
+ Revision: 588303
- update to 0.002210

* Mon Oct 21 2013 umeabot <umeabot> 0.2.208-2.mga4
+ Revision: 537015
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.2.208-1.mga4
+ Revision: 486169
- update to 0.002208

* Fri Aug 30 2013 sander85 <sander85> 0.2.207-1.mga4
+ Revision: 473292
- update to 0.002207

* Fri Jun 07 2013 jquelin <jquelin> 0.2.206-1.mga4
+ Revision: 438953
- update to 0.002206

* Sun Jan 13 2013 umeabot <umeabot> 0.2.203-2.mga3
+ Revision: 365115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.2.203-1.mga3
+ Revision: 341997
- update to 0.002203

* Mon Sep 10 2012 jquelin <jquelin> 0.2.202-1.mga3
+ Revision: 291638
- update to 0.002202

* Thu Jul 12 2012 jquelin <jquelin> 0.2.115-1.mga3
+ Revision: 270270
- update to 0.002115

* Tue Jun 05 2012 jquelin <jquelin> 0.2.114-1.mga3
+ Revision: 254738
- update to 0.002114

* Mon Mar 05 2012 jquelin <jquelin> 0.2.100-1.mga2
+ Revision: 218671
- update to 0.002100

* Thu Feb 23 2012 jquelin <jquelin> 0.1.8-1.mga2
+ Revision: 212748
- update to 0.001008

* Fri Apr 15 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 85692
- adding missing buildrequires:
- update to 0.001005

* Tue Jan 25 2011 jquelin <jquelin> 0.1.4-3.mga1
+ Revision: 38580
- mageia rebuild
- imported package perl-DBIx-Class-DeploymentHandler

